<!DOCTYPE html>
<html>
<head>
  <title>New Year 2024 Countdown Timer</title>
  <style>
    body {
      background-color: #000;
      display: flex;
      align-items: center;
      justify-content: center;
      height: 100vh;
      color: #fff;
      font-family: Arial, sans-serif;
    }

    .countdown {
      text-align: center;
    }

    .countdown h1 {
      font-size: 60px;
      margin-bottom: 20px;
    }

    .firecracker {
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      z-index: -1;
      pointer-events: none;
      overflow: hidden;
    }

    .firecracker img {
      position: absolute;
      animation: firecracker 5s linear infinite;
    }

    @keyframes firecracker {
      0% {
        transform: translateY(100%);
      }
      100% {
        transform: translateY(-100%);
      }
    }
  </style>
</head>
<body>
  <div class="countdown">
    <h1>New Year 2024 Countdown</h1>
    <div id="timer"></div>
  </div>

  <div class="firecracker">
    <img src="firecracks.png" alt="Firecracker">
  </div>

  <script>
    // Countdown date
    const countdownDate = new Date("January 1, 2024 00:00:00").getTime();

    // Update the countdown every second
    const countdown = setInterval(function() {
      const now = new Date().getTime();
      const distance = countdownDate - now;

      // Calculate time remaining
      const days = Math.floor(distance / (1000 * 60 * 60 * 24));
      const hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
      const minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
      const seconds = Math.floor((distance % (1000 * 60)) / 1000);

      // Display the countdown
      document.getElementById("timer").innerHTML =
        "<div>" +
        "<span>" + days + "</span> days " +
        "<span>" + hours + "</span> hours " +
        "<span>" + minutes + "</span> minutes " +
        "<span>" + seconds + "</span> seconds" +
        "</div>";

      // If the countdown is finished, display a message
      if (distance < 0) {
        clearInterval(countdown);
        document.getElementById("timer").innerHTML = "Happy New Year 2024!";
      }
    }, 1000);
  </script>
</body>
</html>
